## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMemMgrs Class Reference

`#include <XalanMemoryManagement.hpp>`

List of all members.

## Static Public Methods

- MemoryManager& getDummyMemMgr ()
- MemoryManager& getDefaultXercesMemMgr ()
- MemoryManager& getDefault ()

## Member Function Documentation

MemoryManager & XalanMemMgrs::getDefault ( | )`[static]`

MemoryManager & XalanMemMgrs::getDefaultXercesMemMgr ( | )`[static]`

MemoryManager & XalanMemMgrs::getDummyMemMgr ( | )`[static]`

The documentation for this class was generated from the following file:

- XalanMemoryManagement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.